Bug 1877932 - [CI test code fix] don't retry grpc connection in etcd test that uses a local proxy
Summary: [CI test code fix] don't retry grpc connection in etcd test that uses a local...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: kube-apiserver
Version: 4.6
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.6.0
Assignee: David Eads
QA Contact: Ke Wang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-10 19:23 UTC by David Eads
Modified: 2020-10-27 16:39 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-27 16:39:40 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift origin pull 25492 0 None closed bug 1877932: don't retry the GRPC connection in our tests 2020-09-15 03:10:17 UTC
Red Hat Product Errata RHBA-2020:4196 0 None None None 2020-10-27 16:39:52 UTC

Description David Eads 2020-09-10 19:23:15 UTC

Comment 2 Ke Wang 2020-09-16 07:10:27 UTC
No longer saw the retry the following GRPC connection message in latest auto ci jobs: https://prow.ci.openshift.org/job-history/gs/origin-ci-test/logs/release-openshift-ocp-installer-e2e-openstack-serial-4.6,
W0910 07:15:35.849963    4651 clientconn.go:1208] grpc: addrConn.createTransport failed to connect to {https://127.0.0.1:39480  <nil> 0 <nil>}. Err :connection error: desc = "transport: Error while dialing dial tcp 127.0.0.1:39480: connect: connection refused". Reconnecting...

Comment 5 errata-xmlrpc 2020-10-27 16:39:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6 GA Images), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4196


Note You need to log in before you can comment on or make changes to this bug.